package thyyxxk.webserver.entity.inpatient.chargeinputinquiry;

import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

@Data
public class InquiryParams {
    private Integer type;
    private String patNo;
    private String chargeCode;
    private String start;
    private String end;
    private String dept;

    public String getPatNo() {
        return StringUtil.isBlank(patNo) ? "%%" : patNo;
    }

    public String getChargeCode() {
        return StringUtil.isBlank(chargeCode) ? "%%" : chargeCode;
    }

    public String getStart() {
        return start + " 00:00:00.000";
    }

    public String getEnd() {
        return end + " 23:59:59.999";
    }
}
